summaryrefslogtreecommitdiff
path: root/indra/newview/installers
diff options
context:
space:
mode:
Diffstat (limited to 'indra/newview/installers')
-rwxr-xr-xindra/newview/installers/darwin/apple-notarize.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/indra/newview/installers/darwin/apple-notarize.sh b/indra/newview/installers/darwin/apple-notarize.sh
index 00d10b222a..b953af81af 100755
--- a/indra/newview/installers/darwin/apple-notarize.sh
+++ b/indra/newview/installers/darwin/apple-notarize.sh
@@ -30,12 +30,15 @@ if [ -f "$CONFIG_FILE" ]; then
--username $USERNAME \
--password $PASSWORD
+ #remove temporary file
+ rm "$zip_file"
+
if [["$status" == "success"]]; then
xcrun stapler staple "$app_file"
+ elif [["$status" == "invalid"]]; then
+ exit 1
fi
fi
- #remove temporary file
- rm "$zip_file"
fi
fi